ConfirmSyncValid
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.ConfirmSyncValid(ctx, operations.C1APIAppV1ConnectorServiceConfirmSyncValidRequest{
AppID: "<id>",
ConnectorID: "<id>",
SyncLifecycleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConfirmSyncValidResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.confirmSyncValid({
appId: "<id>",
connectorId: null,
syncLifecycleId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/confirm_sync_valid/{sync_lifecycle_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/confirm_sync_valid/{sync_lifecycle_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/connectors/{connector_id}/confirm_sync_valid/{sync_lifecycle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Connector
Confirm Sync Valid
Invokes the c1.api.app.v1.ConnectorService.ConfirmSyncValid method.
POST
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
confirm_sync_valid
/
{sync_lifecycle_id}
ConfirmSyncValid
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Connector.ConfirmSyncValid(ctx, operations.C1APIAppV1ConnectorServiceConfirmSyncValidRequest{
AppID: "<id>",
ConnectorID: "<id>",
SyncLifecycleID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ConfirmSyncValidResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.connector.confirmSyncValid({
appId: "<id>",
connectorId: null,
syncLifecycleId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The AppID of the app the connector is attached to.
The ConnectorID of the connector that we are confirming the sync for.
The completed lifecycle id of the most recent sync we want to validate
Body
application/json
The ConfirmSyncValidRequest message.
Response
200 - application/json
Successful response
The ConfirmSyncValidResponse message.
Was this page helpful?
⌘I